การใช้งาน jQuery หลายๆ เวอร์ชั่น พร้อมกัน

Jquery & Ajax Knowledge ความรู้เกี่ยวกับ Javascript , Jquery ม Ajax

Moderators: mindphp, ผู้ดูแลกระดาน

User avatar
tsukasaz
PHP VIP Members
PHP VIP Members
Posts: 12159
Joined: 18/04/2012 9:39 am

การใช้งาน jQuery หลายๆ เวอร์ชั่น พร้อมกัน

Post by tsukasaz »

Image

การใช้งาน jQuery หลายๆ เวอร์ชั่น พร้อมกัน

ถ้าไม่รู้ว่า jQuery คืออะไร ทำความรู้จัก jQuery คลิกที่นี่

jQuery มี Plugin มากมายให้เข้าไปดาวน์โหลดมาใช้ ที่ http://plugins.jquery.com/

ถือว่าเป็นส่วนสำคัญที่ช่วยให้เว็บไซต์ของเรามีลูกเล่นต่างๆ ที่ช่วยให้คนอยากเข้ามา

แต่บางที Plugin แต่ละตัวก็รองรับการทำงานเวอร์ชั่นต่างกัน ทำให้เกิดปัญหา Plugin ไม่ทำงาน


ถ้าเราจะเรียก jQuery มาหลายเวอร์ชั่น แบบนี้

Code: Select all

<script src="https://code.jquery.com/jquery-1.11.2.js"></script>
<script src="https://code.jquery.com/jquery-1.7.2.js"></script>
ผลการทำงานคือ มันจะมองเวอร์ชั่นที่เรียกหลังสุดเท่านั้น คือ 1.7.2


เพราะฉะนั้นการเรียกใช้จะใช้ตัว noConflict() มาจัดการ

Code: Select all

<script src="https://code.jquery.com/jquery-1.11.2.js"></script>
<script>jQuery1112 = jQuery.noConflict( true );</script>
<script src="https://code.jquery.com/jquery-1.7.2.js"></script>
<script>jQuery172 = jQuery.noConflict( true );</script>
จากตัวอย่างด้านบน ถ้าต้องการใช้เวอร์ชั่น 1.11.2 ให้ jQuery1112 แทน

Code: Select all

jQuery1112(document).ready(function() { });
The last bug isn't fixed until the last user is dead. (Sidney Markowitz, 1995)

  • Similar Topics
    Replies
    Views
    Last post

Return to “Jquery & Ajax Knowledge”

Who is online

Users browsing this forum: No registered users and 6 guests